%global nginx_modname vts
%global origname nginx-module-%{nginx_modname}
# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           freenginx-mod-vts
Version:        0.2.4
Release:        2%{?dist}
Summary:        freenginx virtual host traffic status module

# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD
URL:            https://github.com/vozlt/nginx-module-vts
Packager:       Teddysun <i@teddysun.com>
Source0:        %{url}/archive/v%{version}/%{origname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  freenginx-mod-devel

%description
%{summary}.

%prep
%autosetup -n %{origname}-%{version}


%build
%freenginx_modconfigure
%freenginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{freenginx_moddir}
install -pm 0755 ngx_http_vhost_traffic_status_module.so %{buildroot}%{freenginx_moddir}
install -dm 0755 %{buildroot}%{freenginx_modconfdir}
echo 'load_module "%{freenginx_moddir}/ngx_http_vhost_traffic_status_module.so";' \
    > %{buildroot}%{freenginx_modconfdir}/mod-vhost-traffic-status.conf
popd


%files
%license LICENSE
%doc README.md
%{freenginx_moddir}/ngx_http_vhost_traffic_status_module.so
%{freenginx_modconfdir}/mod-vhost-traffic-status.conf


%changelog
* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.2.4-2
- Rebuild for freenginx 1.27.6

* Mon Apr 07 2025 Teddysun <i@teddysun.com> - 0.2.4-1
- Update to 0.2.4
- Build for freenginx 1.27.4
